<div class="grid">

	<header class="row no-padding clearfix">
		<div class="col-2-3 no-padding"><h1>Aktiebokshändelser</h1></div>

		<button ng-show="isAB" class="col-1-3  new" ui-sref="user.company.transaction.new({orgNr: orgNr})"><i class="fa fa-plus"></i> <span class="icon-title">Ny aktiebokshändelse</span>
		</button>

	</header>
	<div class="row clearfix">
		<div svab-feedback-target="transactions.get"></div>
	</div>


	<div ng-show="transactions.length > 0" class="row clearfix fake-table">
		<dir-pagination-controls class="col-1" boundary-links="true"></dir-pagination-controls>			
		<ul class="col-1 clearfix">
			<li class="col-1 fake-row-heading clearfix">
				<ul class="col-5-6">
					<li class="col-1-7 fake-heading">Datum</li>
					<li class="col-1-7 fake-heading">Typ</li>
					<li class="col-1-7 fake-heading">Person/Org.nr</li>
					<li class="col-1-7 fake-heading">Namn</li>
					<li class="col-1-7 fake-heading">Serie</li>
					<li class="col-1-7 fake-heading">Antal Aktier</li>
					<li class="col-1-7 fake-heading">Aktieslag</li>

				</ul>
				<ul class="col-1-6"></ul>
			</li>

			<li class="col-1 fake-row clearfix" ng-class="{open: show}" dir-paginate="transaction in transactions | itemsPerPage : transactionsPerPage">

				<ul class="col-5-6 clearfix" ng-class="{divestment: transaction.eventTypeId == 0, strike:transaction.status == 4}">
					<li class="col-1-7"><span>{{transaction.tradeDate}}</span></li>
					<li class="col-1-7">
						<span ng-show="transaction.eventTypeId == 0">Avyttring</span>
						<span ng-show="transaction.eventTypeId == 1">Nyregistrering</span>
						<span ng-show="transaction.eventTypeId == 2">Ägarbyte</span>
						<span ng-show="transaction.eventTypeId == 3">Nyemission</span>
						<span ng-show="transaction.eventTypeId == 4">Annat</span>
						<span ng-show="transaction.eventTypeId == 5">Split</span>
						<span ng-show="transaction.eventTypeId == 6">Delning</span>
						<span ng-show="transaction.eventTypeId == -1">{{transaction.eventText}}</span>
					</li>
					<li class="col-1-7" ng-hide="transaction.foreign"><span>{{transaction.ownerId}}</span></li>
					<li class="col-1-7" ng-show="transaction.foreign"><span>(UTL)</span></li>
					<li class="col-1-7"><span>{{transaction.ownerName}}</span></li>
					<li class="col-1-7"><span ng-hide="transaction.fromNumberSerie === 'NA'">
                        {{transaction.fromNumberSerie}} <span ng-hide="transaction.toNumberSerie === 'NA'">- {{transaction.toNumberSerie}}</span>
                    </span></li>
					<li class="col-1-7"><span>{{transaction.quantity}}</span></li>
					<li class="col-1-7"><span>{{transaction.aktieslag}}</span></li>

					<div class="col-1 clearfix more-info" ng-show="show">
						<h1 ng-show="transaction.status == 4">Händelsen är makulerad</h1>
						<ul class="col-1-2 regular-list" ng-class="{strike: transaction.status ==4}">

							<li>
								<strong class="list-title">Beställningsdatum:</strong>
								<span class="list-value">{{transaction.orderDate}}</span>
							</li>
							<li>
								<strong class="list-title">Transaktionsdatum</strong>
								<span class="list-value">{{transaction.tradeDate}}</span>
							</li>
							<li>
								<strong class="list-title">Transaktionsavgift</strong>
								<span class="list-value">{{transaction.transactionCharge}}</span>
							</li>

							<li ng-show="transaction.custodian">
								<strong class="list-title">Förmyndare/God man:</strong> <span class="list-value">{{transaction.custodian}}</span>
							</li>


							<li>
								<strong class="list-title">Rätt till utdelning:</strong>
								<span class="list-value" ng-show="transaction.dividendRight == false">Nej</span>
								<span class="list-value" ng-show="transaction.dividendRight == true">Ja</span>
							</li>

							<li>
								<strong class="list-title">Samtyckesförbehåll:</strong>
								<span class="list-value" ng-show="transaction.consentDisclaimers == false">Nej</span>
								<span class="list-value" ng-show="transaction.consentDisclaimers == true">Ja</span>
							</li>
							<li>
								<strong class="list-title">Förköpsbehåll:</strong>
								<span class="list-value" ng-show="transaction.presaleDisclaimers == false">Nej</span>
								<span class="list-value" ng-show="transaction.presaleDisclaimers == true">Ja</span>
							</li>
							<li>
								<strong class="list-title">Hembud:</strong>
								<span class="list-value" ng-show="transaction.preEmption == false">Nej</span>
								<span class="list-value" ng-show="transaction.preEmption == true">Ja</span>
							</li>
							<li>
								<strong class="list-title">Omvandlingsförbehåll:</strong>
								<span class="list-value" ng-show="transaction.conversionDisclaimers == false">Nej</span>
								<span class="list-value" ng-show="transaction.conversionDisclaimers == true">Ja</span>
							</li>
							<li>
								<strong class="list-title">Inlösenförbehåll:</strong>
								<span class="list-value" ng-show="transaction.redemptionDisclaimers == false">Nej</span>
								<span class="list-value" ng-show="transaction.redemptionDisclaimers == true">Ja</span>
							</li>
							<li>
								<strong class="list-title">Aktiebrev Utgivet:</strong>
								<span class="list-value" ng-show="transaction.shareCertificatesIssued == false">Nej</span>
								<span class="list-value" ng-show="transaction.shareCertificatesIssued == true">Ja</span>
							</li>
							<li>
								<strong class="list-title">Pantsatt:</strong>
								<span class="list-value" ng-show="transaction.isPawned == false">Nej</span>
								<span class="list-value" ng-show="transaction.isPawned == true">Ja</span>

							</li>
							<li ng-show="transaction.isPawned">
								<strong class="list-title">Panthavare:</strong>
								<span class="list-value">{{transaction.pawnee}}</span>
							</li>
							<li ng-show="transaction.comment">
								<strong class="list-title">Kommentar:</strong> <span class="list-value">{{transaction.comment}}</span>
							</li>


						</ul>
					</div>
				</ul>


				<ul class="col-1-6 edit-this" ng-class="{open: show}">

					<li class="col-1">
						<span class="delete" really-message="Bekräfta makulering" ng-show="!show && transaction.status != 4" really-click="cancelTransaction(transaction)">Makulera</span>
						<span class="divider" ng-show="!show">|</span>
						<span class="edit" ng-show="!show" ng-click="show=!show">Mer Info<i class="fa fa-caret-down"></i></span>
						<span class="cancel" ng-show="show" ng-click="show=!show">Stäng<i class="fa fa-times"></i></span>
					</li>


				</ul>
			</li>
		</ul>
	</div>
</div>



